
using System;
using System.Drawing;
using System.ComponentModel;
using System.Runtime.Serialization;

using Syncfusion.Windows.Forms.Diagram;

namespace Sample_LinkCmd
{
	/// <summary>
	/// Summary description for MySymbol.
	/// </summary>
	[Serializable()]
	public class MySymbol : Group 
	{
		private Syncfusion.Windows.Forms.Diagram.Rectangle outerRect = null;
		private Ellipse innerEllipse = null;

		public MySymbol()
		{
			//////////////////////////////////////////////////////////////////
			// Add child nodes to the symbol programmatically
			//////////////////////////////////////////////////////////////////

			// Add an outer rectangle
			this.outerRect = new Syncfusion.Windows.Forms.Diagram.Rectangle(0, 0, 120, 80);
			this.outerRect.Name = "Rectangle";
			this.outerRect.FillStyle.Type = Syncfusion.Windows.Forms.Diagram.FillStyleType.LinearGradient;
			this.outerRect.FillStyle.ForeColor = System.Drawing.Color.Orange;
			this.outerRect.FillStyle.Color = Color.Orange;
			this.outerRect.ShadowStyle.Visible = true;
			this.AppendChild(outerRect);

			// Add an inner ellipse
			this.innerEllipse = new Ellipse(10, 10, 100, 60);
			this.innerEllipse.Name = "Ellipse";
			this.AppendChild(innerEllipse);

            Label lbl = new Label(this, "Hello World");            
            lbl.ReadOnly = true;
            this.Labels.Add(lbl);
		}

	}
}
